package bytecode;

import static org.junit.Assert.*;

import java.io.File;
import java.lang.reflect.Method;
import java.net.URL;
import java.net.URLClassLoader;

import org.junit.BeforeClass;
import org.junit.Test;

import de.dhbwstuttgart.core.JavaTXCompiler;

public class ClassGenLamTest {
	
	private static String path;
	private static File fileToTest;
	private static JavaTXCompiler compiler;
	private static ClassLoader loader;
	private static Class<?> classToTest;
	private static String pathToClassFile;
	private static Object instanceOfClass;
	
	@Test
	public void generateBC() throws Exception {
		path = System.getProperty("user.dir")+"/src/test/resources/bytecode/javFiles/ClassGenLam.jav";
		fileToTest = new File(path);
		compiler = new JavaTXCompiler(fileToTest);
		pathToClassFile = System.getProperty("user.dir")+"/src/test/resources/testBytecode/generatedBC/";
		compiler.generateBytecode(pathToClassFile);
		loader = new URLClassLoader(new URL[] {new URL("file://"+pathToClassFile)});
		classToTest = loader.loadClass("ClassGenLam");
		instanceOfClass = classToTest.getDeclaredConstructor().newInstance();
	}

}
